关闭

centos6.5安装Mysql5.6版本

标签: 云服务器CentOSyummysql
277人阅读 评论(0) 收藏 举报
分类:

在centos6.5上安装Mysql发现yum的版本比较低,在网上找了这个方法,试了下,可以。

==================================================================================

有一些虚拟机、云主机提供商仍然使用的是老版本的安装套件。预装的应用软件版本很低。

要从最新版本获益,你需要把现有系统升级到5.5+(最新的版本是5.7),我保守一点,升级到5.6.20。

有相关测试数据说明从5.1到5.5+,MySQL性能会有明显的提升,具体的需要自己建立测试环境去实践下。

1.  首先更新rpm

从MySQL Yum仓库下载最新的rpm文件:http://dev.mysql.com/downloads/repo/yum/

(需要Oracle帐号以及填写一些使用信息,才能进入下载页面)

我需要下载的是:mysql-community-release-el6-5.noarch.rpm


2. 安装这个发布包

> yum localinstall mysql-community-release-el6-5.noarch.rpm

可以通过下面的命令来确认这个仓库被成功添加:

yum repolist enabled | grep "mysql.*-community.*


3. 安装MySQL服务器

> yum install mysql-community-server

新版本的目标文件是/usr/bin/mysql,如果原预装路径在/bin下面,则需要进行替换,最好是使用软链接,比如ln -s /usr/bin/mysql /bin/

这样在需要的时候,可以方便的在不同版本之间进行切换。(有时候需要版本回退来定位问题)


4. 重启服务器就可以了

> service mysqld restart

确认版本信息:

[root@west195246 bin]# mysql -V
mysql  Ver 14.14 Distrib 5.6.20, for Linux (x86_64) using  EditLine wrapper


参考阅读:

http://dev.mysql.com/doc/refman/5.6/en/linux-installation-yum-repo.html#yum-repo-setup

http://dev.mysql.com/doc/refman/5.6/en/replace-third-party-yum.html

0
0

查看评论
* 以上用户言论只代表其个人观点,不代表CSDN网站的观点或立场
    个人资料
    • 访问:21703次
    • 积分:322
    • 等级:
    • 排名:千里之外
    • 原创:3篇
    • 转载:48篇
    • 译文:0篇
    • 评论:0条
    文章分类